# frozen_string_literal: true

# Mailer for dotations
class NotifyEmailMailer < ApplicationMailer
  default from: 'pomoc@kalendarzdotacji.pl'

  def contact_page
    @email_message = EmailMessage.where(id: params[:email]).first
    # @emailfilter = FilterForEmail.find(params[:emailfilter])
    mail(to: APP_CONFIG['notify_email'], subject: 'Nowa wiadomość ze strony kalendarzdotacji.pl')
  end

  def contact_dotation
    @consultation_email = ConsultationEmail.where(id: params[:email]).first
    @dotation = @consultation_email.dotation
    mail(to: @dotation.partner.link_url, subject: 'Prośba o wsparcie w sprawie dotacji')
  end
end
